#!/usr/bin/perl -w
my $lib = shift;
my $in = shift;
open(IN, $in) or die "Unable to open $in\n";
my %files = ();
my %count = ();
while (<IN>) {
    chomp;
    my @tmp = split /\t/;
    my $file = $lib . "_" . $tmp[0] . '.fasta';
    $files{$tmp[0]} = $file;
    open($tmp[0],">$file") or die "Can't open file $file\n";
    $count{$tmp[0]} = 0;
}
close(IN);

foreach my $in (@ARGV) {
    open(FILE, "$in") or die "Can't open file $in\n";
    while (<FILE>) {
	my $seq_line = <FILE>;
	my $ID_line_2 = <FILE>;
	my $Quality_line = <FILE>;
        chomp($ID_line_2);
        my ($sample) = split / /, $ID_line_2;
        $sample =~ s/^\+//;
	
	if (defined($count{$sample}))  {
            $count{$sample}++;
            my $out = $sample;
            print $out ">$sample", "_", $count{$sample}, "\n";
            print $out $seq_line;
	} else {
            print "Sample $sample is not found.\n";
            exit;
        }
    }
    close FILE;
}

my $sum = 0;
foreach my $bar (sort keys %files) {
    close($bar);
    print $bar, "\t", $files{$bar}, "\t", $count{$bar}, "\n";
    $sum += $count{$bar};
}
print "Total: $sum\n";
exit;
