#!/usr/bin/perl -w

my $in = shift;
my $out = shift;
my $match_score = shift;
my $pair_score = 30;
open(IN, $in) or die "Unable to open $in.\n";
open(OUT, ">$out") or die "Unable to open $out.\n";

my %pair = ();
my %diff = ();
my %seqs = ();
my %scor = ();
while (<IN>) {
    chomp;
    if (/^>/) {
        my @tmp = split /\t/;
        my $qry = $tmp[0];
        my $ref = $tmp[7];
        $qry =~ s/^>//;
        $ref =~ s/^>//;
        my $score = $tmp[5];
        my $direction = $tmp[9];
        unless ($qry eq $ref or $score > $match_score or $direction eq 'R') {
            if (defined($pair{$qry}) and $pair{$qry} ne 'NB') {
                $pair{$qry} = 'NB';
            }
            if (not defined($pair{$qry})) {
                $pair{$qry} = $ref;
                $diff{$qry} = $tmp[13];
                $seqs{$qry} = $tmp[2];
                $scor{$qry} = $score;
            }
        }
    }
}
close(IN);

print OUT "Allele1\tAllele2\tMismatch1\tMismatch2\tSequence1\tSequence2\n";
foreach my $qry (keys %pair) {
    if ($pair{$qry} ne 'NB') {
        my $ref = $pair{$qry};
        my $score = $scor{$qry};
        if (defined($pair{$ref}) and $pair{$ref} eq $qry and $score <= $pair_score) {
           unless ($diff{$qry} =~ /\+|\-/) {
               my @tmp1 = split /_/, $qry;
               my $qi = $tmp1[-1];
               my @tmp2 = split /_/, $ref;
               my $ri = $tmp2[-1];
               if ($qi < $ri) {
                   print OUT "$qry\t$ref\t", $diff{$qry}, "\t", $diff{$ref}, "\t", $seqs{$qry}, "\t", $seqs{$ref}, "\n";
               }
            }
        }
    }
}

exit; 
