#!/usr/bin/perl -w

my $out = shift;
open (OUT, ">$out") or die "Unable to open file $out.\n";
my $lines_per_seq = 2; # number of lines for each sequence (not including header
my $extra_line = $lines_per_seq - 1;
my $t_seq = 0;
my $t_sel = 0;
foreach my $file (@ARGV) {
    open(FILE, "<$file") or die "Unable to open file $file.\n";
    print "Working on $file\n";
    while (<FILE>) {
        ++$t_seq;
        my $header = $_;
	my $seq_line = <FILE>;
        chomp $seq_line;
        for my $i (1..$extra_line) {
            $_ = <FILE>;
            chomp;
            $seq_line .= $_;
        }
        unless ($seq_line =~ m/N/i) {
            ++$t_sel;
            print OUT $header;
            print OUT $seq_line, "\n";
        }
    }
    close FILE;
}
my $rate = $t_sel/$t_seq;
print "\n$out\t$t_seq\t$t_sel\t$rate\n";
exit;
