#!/usr/bin/perl -w

my $pedi = shift;
my $out1 = shift;
open (OUT, ">$out1") or die "Unable to open $out1.\n";
my $out2 = shift;
open (DAT, ">$out2") or die "Unable to open $out2.\n";

# we first hash all sequences and record all members sharing the same sequence

my %hash = ();
my %reads = ();

foreach my $in (@ARGV) {
  open(IN, $in) or die "Unable to open $in.\n";
  print "Working on file $in\n";
  while (<IN>) {
    chomp;
    my $tag = $_;
    my $seq_line = <IN>;
    chomp($seq_line);
    push(@{$hash{$seq_line}}, $tag);
    my @tmp = split /\;/, $tag;
    $reads{$seq_line} += $tmp[2];
  }
  close IN;
}
my $z = 1;
foreach $key (sort { $reads{$b} <=> $reads{$a} } keys %reads) {
    my $ns = scalar(@{$hash{$key}});
    my $r_avg = $reads{$key} / $ns;
    # this means that at lease one sample have more than one count for this sequence
    if ($r_avg > 1) {
        my $header = $pedi . "_" . $z;
        print OUT "\>", $header, "\n";
        print OUT $key, "\n";
        my $data = join "\/", @{$hash{$key}};
        print DAT "$header\t", $reads{$key}, "\t$data\n";
        ++$z;
    }
}

exit;
